Posted on June 6, 2005

I almost forgot about this: I’ve upgraded this weblog’s software. It is now running on Movable Type version 3.17 (upgraded from 3.15).

As a drop-in replacement upgrade everything should be just fine and dandy. But then we all know how this things tend to go so if you notice anything wrong with the weblog do let me know. Thanks!